summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson2016-09-14 13:58:19 +0200
committer Willy Sudiarto Raharjo2016-09-14 13:58:19 +0200
commit7df3fb7f3242bfb96da9b7912ccf928251443252 (patch)
tree02a078ca9db72372b9c70ab4bfbd20deec9614d2
parentab10910442beff55b2a7fbc112c9228278a7e068 (diff)
downloadslackbuilds-7df3fb7f3242bfb96da9b7912ccf928251443252.tar.gz
games/freeblocks: Added (puzzle game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--games/freeblocks/README3
-rw-r--r--games/freeblocks/doinst.sh9
-rw-r--r--games/freeblocks/freeblocks.SlackBuild82
-rw-r--r--games/freeblocks/freeblocks.info10
-rw-r--r--games/freeblocks/slack-desc19
5 files changed, 123 insertions, 0 deletions
diff --git a/games/freeblocks/README b/games/freeblocks/README
new file mode 100644
index 0000000000..108e744e8c
--- /dev/null
+++ b/games/freeblocks/README
@@ -0,0 +1,3 @@
+freeblocks (puzzle game)
+
+FreeBlocks is a puzzle game with similar gameplay to Tetris Attack.
diff --git a/games/freeblocks/doinst.sh b/games/freeblocks/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/freeblocks/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/freeblocks/freeblocks.SlackBuild b/games/freeblocks/freeblocks.SlackBuild
new file mode 100644
index 0000000000..38f653e5a5
--- /dev/null
+++ b/games/freeblocks/freeblocks.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for freeblocks
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=freeblocks
+VERSION=${VERSION:-0.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/v$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DBINDIR=games \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+strip $PKG/usr/games/$PRGNAM
+sed -i \
+ '/^Categories/s,\(games\|SDL\);,,g' \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README COPYING $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/freeblocks/freeblocks.info b/games/freeblocks/freeblocks.info
new file mode 100644
index 0000000000..4902a5fa6d
--- /dev/null
+++ b/games/freeblocks/freeblocks.info
@@ -0,0 +1,10 @@
+PRGNAM="freeblocks"
+VERSION="0.5"
+HOMEPAGE="https://github.com/dorkster/freeblocks"
+DOWNLOAD="https://github.com/dorkster/freeblocks/archive/v0.5.tar.gz"
+MD5SUM="30fc32bfcbdac0b0f861b30b5cf1c0de"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="SDL2_image SDL2_mixer SDL2_ttf"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/freeblocks/slack-desc b/games/freeblocks/slack-desc
new file mode 100644
index 0000000000..469cb353b2
--- /dev/null
+++ b/games/freeblocks/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+freeblocks: freeblocks (puzzle game)
+freeblocks:
+freeblocks: FreeBlocks is a puzzle game with similar gameplay to Tetris Attack.
+freeblocks:
+freeblocks:
+freeblocks:
+freeblocks:
+freeblocks:
+freeblocks:
+freeblocks:
+freeblocks: